%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate portable-atomic

Name:           rust-portable-atomic
Version:        1.6.0
Release:    1%{?dist}
Summary:        Portable atomic types including support for 128-bit atomics, atomic float, etc

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/portable-atomic
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Portable atomic types including support for 128-bit atomics, atomic
float, etc.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+critical-section-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+critical-section-devel %{_description}

This package contains library source intended for building other packages which
use the "critical-section" feature of the "%{crate}" crate.

%files       -n %{name}+critical-section-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-fiq-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-fiq-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-fiq" feature of the "%{crate}" crate.

%files       -n %{name}+disable-fiq-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "fallback" feature of the "%{crate}" crate.

%files       -n %{name}+fallback-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+float-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+float-devel %{_description}

This package contains library source intended for building other packages which
use the "float" feature of the "%{crate}" crate.

%files       -n %{name}+float-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+force-amo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-amo-devel %{_description}

This package contains library source intended for building other packages which
use the "force-amo" feature of the "%{crate}" crate.

%files       -n %{name}+force-amo-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+require-cas-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+require-cas-devel %{_description}

This package contains library source intended for building other packages which
use the "require-cas" feature of the "%{crate}" crate.

%files       -n %{name}+require-cas-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+s-mode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+s-mode-devel %{_description}

This package contains library source intended for building other packages which
use the "s-mode" feature of the "%{crate}" crate.

%files       -n %{name}+s-mode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe-assume-single-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe-assume-single-core-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe-assume-single-core" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe-assume-single-core-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-1
- initial build
